Class Hierarchy
This inheritance list is sorted roughly, but not completely, alphabetically:

dbg::compile_assertion< expression > |
exception |
dbg::dbg_exception | The base type of exception thrown by dbg assertions (and other dbg library constraint checks) if the assertion_behaviour is set to assertions_throw
dbg::assertion_exception | The type of exception thrown by assertion
dbg::check_ptr_exception | The type of exception thrown by check_ptr
dbg::sentinel_exception | The type of exception thrown by sentinel
dbg::unimplemented_exception | The type of exception thrown by unimplemented
dbg::indent |
dbg::null_stream | In non-debug versions, this class is used to replace an ostream so that code will compile away
dbg::post |
dbg::post_mem_fun< obj_t > |
dbg::prefix |
dbg::source_pos | Data structure describing a position in the source file
dbg::trace |